<?php

namespace Drupal\retailcrm\Module\Hook;

/**
* AdminHookHandler class.
*/
class AdminHookHandler {

  /**
   * Page callback: The module integration settings form.
   */
  public static function integrationSettings($form, &$form_state) {
    $form['retailcrm_url'] = array(
      '#type' => 'textfield',
      '#title' => t('RetailCRM URL'),
      '#default_value' => variable_get('retailcrm_url', ''),
      '#size' => 32,
      '#description' => t('RetailCRM Url. Example: https://demo.retailcrm.ru'),
      '#required' => TRUE,
    );
    $form['retailcrm_api_key'] = array(
      '#type' => 'textfield',
      '#title' => t('API Key'),
      '#default_value' => variable_get('retailcrm_api_key', ''),
      '#size' => 32,
      '#description' => t('RetailCRM API access key. See <a href="@url" target="_blank">related documentation</a> how to get key.', array('@url' => 'https://help.retailcrm.ru/Users/ApiKeys')),
      '#required' => TRUE,
    );
    $form['retailcrm_webhook_key'] = array(
      '#type' => 'textfield',
      '#title' => t('Webhook Key'),
      '#default_value' => variable_get('retailcrm_webhook_key', ''),
      '#size' => 32,
      '#description' => t('RetailCRM webhook key. Key used in  X-RetailCRM-Key header to secure webhooks.'),
    );
    return system_settings_form($form);
  }

}