<?php

namespace Drupal\retailcrm\Module\Hook;

/**
 * CommonHookHandler class.
 */
class CommonHookHandler {

  /**
   * Implements hook_permission().
   */
  public static function hookPermission() {
    return array(
      'administer retailcrm settings' => array(
        'title' => t('Administer RetailCRM Settings'),
        'restrict access' => TRUE,
      ),
    );
  }

  /**
   * Implements hook_libraries_into().
   */
  public static function hookLibrariesInfo() {
    $libraries['retailcrm'] = array(
      'name' => 'retailCRM API PHP client',
      'vendor url' => 'https://github.com/retailcrm/api-client-php',
      'download url' => 'https://github.com/retailcrm/api-client-php',
      'version' => '~5.0',
      'xautoload' => function ($adapter) {
        /**
         * @var \Drupal\xautoload\Adapter\LocalDirectoryAdapter $adapter
         *   An adapter object that can register stuff into the class loader.
         */
        $adapter->add('RetailCrm\\', 'lib');
      },
    );
    return $libraries;
  }
  /**
   * Implements hook_menu().
   */
  public static function hookMenu() {
    $items = array();
    $items['admin/config/services/retailcrm'] = array(
      'access arguments' => array('administer retailcrm settings'),
      'page callback' => 'drupal_get_form',
      'page arguments' => array('retailcrm_integration_settings'),
      'title' => 'RetailCRM',
      'type' => MENU_NORMAL_ITEM,
      'description' => 'Integrate your site with RetailCRM service.',
      'file' => 'retailcrm.admin.inc',
    );
    $items['admin/config/services/retailcrm/integration'] = array(
      'access arguments' => array('administer retailcrm settings'),
      'page callback' => 'drupal_get_form',
      'page arguments' => array('retailcrm_integration_settings'),
      'title' => 'Integration settings',
      'type' => MENU_DEFAULT_LOCAL_TASK,
      'weight' => 1,
      'file' => 'retailcrm.admin.inc',
    );
    $items['retailcrm'] = array(
      'page callback' => 'retailcrm_webhook_callback',
      'access callback' => 'retailcrm_webhook_access_callback',
      'type' => MENU_CALLBACK,
      'file' => 'retailcrm.webhook.inc',
    );
    return $items;
  }

}