<?php

namespace Drupal\retailcrm\Module\Hook;

/**
 * WebHookHandler class.
 */
class WebHookHandler {

  /**
   * Access callback for the 'retailcrm' path.
   */
  public static function webHookAccessCallback() {
    $webhook_key = variable_get('retailcrm_webhook_key', '');
    if (empty($webhook_key)) {
      return TRUE;
    }
    $access_key = drupal_get_http_header(' X-RetailCRM-Key');
    if (empty($access_key)) {
      return FALSE;
    }
    if ($access_key === $webhook_key) {
      return TRUE;
    }
    return FALSE;
  }

  /**
   * Page callback for 'retailcrm' path.
   */
  public static function webHookCallback() {
    $params = $_REQUEST;
    unset($params['q']);
    if (!$params['op'] || empty($params['op'])) {
      watchdog('RetailCRM', 'Wrong parameters: %req', array('%req' => serialize($params)), WATCHDOG_ERROR);
      drupal_exit();
    }

    $action = str_replace('-', '_', $params['op']);
    unset($params['op']);
    module_invoke_all('retailcrm_webhook_' . $action, $params);
  }

}
